﻿using Syncfusion.Windows.Forms.Grid.Grouping;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace CellGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataCollection data = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 10; i++)
            {
                data.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridGroupingControl1.DataSource = data;
           
            // Trigger the required event.
            this.gridGroupingControl1.TableControlQueryAllowDragColumn += new GridQueryAllowDragColumnEventHandler(gridGroupingControl1_TableControlQueryAllowDragColumn);
        }

        void gridGroupingControl1_TableControlQueryAllowDragColumn(object sender, GridQueryAllowDragColumnEventArgs e)
        {          
            // Soluion 1:
            // Determine the last column and then restricting.
            if (this.gridGroupingControl1.TableDescriptor.VisibleColumns.IndexOf(e.Column) + 1 == this.gridGroupingControl1.TableDescriptor.VisibleColumns.Count)
                e.AllowDrag = false;

            // Solution 2:
            // Specify the column to be restricted.
            if (e.Column == "SampleData")
                e.AllowDrag = false;
        }
    }
}
